# $Revision: 1.13 $, $Date: 2011/03/22 08:14:43 $
# TODO:
# - package perl modules
#
Summary:	Liboping library
Name:		liboping
Version:	1.6.1
Release:	1
License:	GPL v2
Group:		Libraries
Source0:	http://verplant.org/liboping/files/%{name}-%{version}.tar.bz2
# Source0-md5:	748554a18e1771913f4f402ee9f957c9
URL:		http://verplant.org/liboping/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	perl-ExtUtils-MakeMaker
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
liboping is a C library to generate ICMP echo requests, better known
as "ping packets". It is intended for use in network monitoring
applications or applications that would otherwise need to fork ping(1)
frequently.

liboping was inspired by ping, libping (homepage vanished) and fping:
It differs from these existing solutions in that it can `ping'
multiple hosts in parallel using IPv4 or IPv6 transparently. Other
design principles were an object oriented interface, simplicity and
extensibility: Is simple because there are only a few interface
functions and no external dependencies. It's extensible since all
(internal) data is kept in "opaque data types", so the storage may
change or be extended without applications noticing it.

%package -n oping
Summary:	oping ICMP query tool
Group:		Applications/Networking

%description -n oping
Sample application, which demonstrates the liboping's abilities. It is
like ping, ping6, and fping rolled into one.

%package devel
Summary:	Header files for liboping library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki liboping
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for liboping library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki liboping.

%package static
Summary:	Static liboping library
Summary(pl.UTF-8):	Statyczna biblioteka liboping
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static liboping library.

%description static -l pl.UTF-8
Statyczna biblioteka liboping.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files -n oping
%defattr(644,root,root,755)
%attr(4754,root,adm) %{_bindir}/oping
%{_mandir}/man8/*.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/oping.h
%{_mandir}/man3/*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: liboping.spec,v $
Revision 1.13  2011/03/22 08:14:43  caleb
- Up to 1.6.1

Revision 1.12  2011/02/25 08:43:12  caleb
- Up to 1.6.0

Revision 1.11  2011/01/29 22:56:58  sparky
- BR: autoconf, automake, libtool, perl-ExtUtils-MakeMaker

Revision 1.10  2010/11/18 10:13:16  caleb
- Up to 1.5.1

Revision 1.9  2010/11/05 10:23:41  caleb
- Up to 1.5.0

Revision 1.8  2010/10/18 20:36:30  caleb
- Up to 1.4.0
- Adapterized

Revision 1.7  2009/09/08 15:11:28  gotar
- upgraded to 1.3.2, regenerate autocrap resources

Revision 1.6  2009/04/05 22:04:24  gotar
- upgraded to 1.1.2 (fixed SEGV),
- oping package doesn't require same EVR, only autogenerated lib depencency

Revision 1.5  2009/03/24 16:00:58  blues
- 1.1.1

Revision 1.4  2009/03/16 19:16:04  blues
- 1.1.0

Revision 1.3  2008/10/28 21:42:27  blues
- rel.3

Revision 1.2  2008/08/21 12:26:58  blues
- rel.2

Revision 1.1  2008-05-23 14:02:27  blues
- initial
